<app-loading *ngIf="isLoading"></app-loading>

<nz-card class="card-header">
  <div class="action-breadcrumb-float-right">
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonSize="LARGE"
      mbButtonText="{{
        'development.promulgate.section.changeIssue' | translate
      }}"
      (click)="issueTransfer()"
    >
    </mb-button>
    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      mbButtonText="{{
        'development.list-change-issue.search.applyIssueInfor' | translate
      }}"
      (click)="showApplyIssueModal()"
    >
    </mb-button>
  </div>
  <form nz-form>
    <div nz-row [nzGutter]="[16, 16]">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.proposeCode"
          mbInputType="number"
          name="proposeCode"
          [mbMaxLength]="20"
          mbLabelText="{{
            'development.proposed-unit.table.proposeCode' | translate
          }}"
          mbPlaceholderText="{{
            'development.proposed-unit.table.proposeCode' | translate
          }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.empCode"
          name="empCode"
          [mbMaxLength]="20"
          mbLabelText="{{
            'development.proposed-unit.table.empCode' | translate
          }}"
          mbPlaceholderText="{{
            'development.proposed-unit.table.empCode' | translate
          }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.empName"
          name="empName"
          [mbMaxLength]="50"
          mbLabelText="{{
            'development.proposed-unit.table.empName' | translate
          }}"
          mbPlaceholderText="{{
            'development.proposed-unit.table.empName' | translate
          }}"
        >
        </mb-input-text>
      </div>
    </div>
    <div *ngIf="!isExpand">
      <div nz-row [nzGutter]="[16, 8]">
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select-unit
            [(ngModel)]="params.currentUnit"
            mbLabelText="{{
              'development.proposed-unit.table.currentUnit' | translate
            }}"
            mbPlaceholder="{{
              'development.proposed-unit.table.currentUnit' | translate
            }}"
            name="currentUnit"
          >
          </mb-select-unit>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [(ngModel)]="params.currentTitle"
            name="currentTitle"
            [mbDataSelects]="dataCommon.jobDTOS"
            mbKeyLabel="jobName"
            mbKeyValue="jobId"
            mbLabelText="{{
              'development.proposed-unit.table.currentTitle' | translate
            }}"
            mbPlaceholder="{{
              'development.proposed-unit.table.currentTitle' | translate
            }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select-unit
            [(ngModel)]="params.proposeUnit"
            mbLabelText="{{
              'development.proposed-unit.table.proposeUnit' | translate
            }}"
            mbPlaceholder="{{
              'development.proposed-unit.table.proposeUnit' | translate
            }}"
            name="proposeUnit"
          >
          </mb-select-unit>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [(ngModel)]="params.contentTitle"
            name="contentTitle"
            [mbDataSelects]="dataCommon.jobDTOS"
            mbKeyLabel="jobName"
            mbKeyValue="jobId"
            mbLabelText="{{
              'development.proposed-unit.table.proposeTitle' | translate
            }}"
            mbPlaceholder="{{
              'development.proposed-unit.table.proposeTitle' | translate
            }}"
          >
          </mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [(ngModel)]="params.formGroup"
            name="formGroup"
            [mbDataSelects]="dataCommon.formGroupList"
            mbKeyLabel="name"
            mbKeyValue="id"
            mbLabelText="{{
              'development.proposed-unit.table.groupForm' | translate
            }}"
            mbPlaceholder="{{
              'development.proposed-unit.table.groupForm' | translate
            }}"
          >
          </mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [(ngModel)]="params.formCode"
            name="formCode"
            [mbDataSelects]="dataCommon.formDisplaySearchDTOS"
            mbKeyLabel="formName"
            mbKeyValue="code"
            mbLabelText="{{
              'development.proposed-unit.table.form' | translate
            }}"
            mbPlaceholder="{{
              'development.proposed-unit.table.form' | translate
            }}"
          >
          </mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <label
            nz-checkbox
            [(ngModel)]="params.hasEffectiveDate"
            name="hasEffectiveDate"
            class="card-header__proposeCheckbox"
          >
            {{
              'development.list-change-issue.search.hasEffectiveDate'
                | translate
            }}
          </label>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <label
            nz-checkbox
            [(ngModel)]="params.noEffectiveDate"
            name="noEffectiveDate"
            class="card-header__proposeCheckbox"
          >
            {{
              'development.list-change-issue.search.hasNotEffectiveDate'
                | translate
            }}
          </label>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [mbDataSelects]="dataCommon.issueLevelList"
            mbKeyLabel="name"
            mbKeyValue="code"
            [(ngModel)]="params.issueLevelCode"
            name="issueLevelCode"
            mbLabelText="{{ 'development.list-plan.table.14' | translate }}"
            mbPlaceholder="{{ 'development.list-plan.table.14' | translate }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-input-text
            [(ngModel)]="params.approvalName"
            name="approvalName"
            [mbMaxLength]="50"
            mbLabelText="{{
              'development.list-plan.search.signerCode' | translate
            }}"
            mbPlaceholderText="{{
              'development.list-plan.search.signerCode' | translate
            }}"
          >
          </mb-input-text>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-input-text
            [(ngModel)]="params.signerName"
            name="signerName"
            [mbMaxLength]="50"
            mbLabelText="{{
              'development.approvement-issue.search.signer' | translate
            }}"
            mbPlaceholderText="{{
              'development.approvement-issue.search.signer' | translate
            }}"
          >
          </mb-input-text>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <span class="card-header__rangeDateTitle">{{
            'development.list-change-issue.search.approveChangeDate' | translate
          }}</span>
          <nz-range-picker
            [(ngModel)]="params.rangeDate"
            class="card-header__rangeDate"
            name="proposeDate"
            nzFormat="dd/MM/yyyy"
            [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
          ></nz-range-picker>
        </div>
      </div>
    </div>
  </form>
  <div nz-row [nzGutter]="12" class="card-header__btnGroup">
    <div nz-col nzLg="9"></div>
    <div nz-col nzLg="6">
      <mb-button
        mbButtonAvailableStyle="DEFAULT"
        mbButtonSize="LARGE"
        mbButtonText="{{ 'development.formLD.button.search' | translate }}"
        (click)="search(1)"
      >
      </mb-button>
      <mb-button
        mbButtonAvailableStyle="BORDER"
        mbButtonSize="VERY_LARGE"
        (click)="expandSearch()"
      >
        <span>
          <em nz-icon [nzType]="iconStatus"></em>
        </span>
      </mb-button>
      <mb-button
        mbButtonAvailableStyle="BORDER"
        [disabled]="isLoading"
        mbButtonSize="LARGE"
        (click)="exportExcel()"
      >
        <img class="excelIcon" src="assets/images/icon/excel.svg" alt="" />
      </mb-button>
    </div>
    <div nz-col nzLg="9"></div>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''">
  <mb-table
    [tableConfig]="tableConfig"
    [tableData]="dataTable"
    [heightTable]="heightTable"
    (changePageNum)="search($event)"
    (onDblClickNode)="detail($event)"
  >
  </mb-table>
</mb-table-wrap>

<ng-template #groupCBHeaderTmpl>
  <label
    nz-checkbox
    [nzChecked]="checked"
    (nzCheckedChange)="onAllChecked($event)"
  >
  </label>
</ng-template>

<ng-template #groupCBTmpl let-proposeDetailId="proposeDetailId">
  <label
    nz-checkbox
    [nzChecked]="quantityMap.has(proposeDetailId!)"
    (nzCheckedChange)="onItemChecked(proposeDetailId, $event)"
  >
  </label>
</ng-template>

<ng-template #effectiveDateTmpl let-effectiveDate="effectiveDate">
  <em
    nz-icon
    nzType="calendar"
    nzTheme="outline"
    class="calendar"
    *ngIf="effectiveDate"
  ></em>
  <span class="effectiveDate">{{ effectiveDate | date: 'dd/MM/yyyy' }}</span>
</ng-template>

<ng-template #effectiveEndDate1Tmpl let-effectiveEndDate1="effectiveEndDate1">
  <em
    nz-icon
    nzType="calendar"
    nzTheme="outline"
    class="calendar"
    *ngIf="effectiveEndDate1"
  ></em>
  <span class="effectiveDate">{{ effectiveEndDate1 | date: 'dd/MM/yyyy' }}</span>
</ng-template>

<ng-template #effectiveEndDate2Tmpl let-effectiveEndDate2="effectiveEndDate2">
  <em
    nz-icon
    nzType="calendar"
    nzTheme="outline"
    class="calendar"
    *ngIf="effectiveEndDate2"
  ></em>
  <span class="effectiveDate">{{ effectiveEndDate2 | date: 'dd/MM/yyyy' }}</span>
</ng-template>

<ng-template #sameDecisionTmpl let-sameDecision="sameDecision">
  <label nz-checkbox class="checkbox-table" [ngModel]="sameDecision" [disabled]="true"></label>
</ng-template>

<ng-template #minimumTimeTmpl let-minimumTime="minimumTime">
  <span *ngIf="minimumTime !== 0">{{ minimumTime }}</span>
</ng-template>

<ng-template #maximumTimeTmpl let-maximumTime="maximumTime">
  <span *ngIf="maximumTime !== 0">{{ maximumTime }}</span>
</ng-template>